commit:     c3fb269a4e0c6dc14d8281d610099b0a6d07a20d
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 12 16:29:59 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sat Jun 12 16:30:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3fb269a

app-metrics/pushgateway: fix revision sed

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-metrics/pushgateway/pushgateway-1.4.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-metrics/pushgateway/pushgateway-1.4.1.ebuild 
b/app-metrics/pushgateway/pushgateway-1.4.1.ebuild
index fbc382e93d0..4ecc829611a 100644
--- a/app-metrics/pushgateway/pushgateway-1.4.1.ebuild
+++ b/app-metrics/pushgateway/pushgateway-1.4.1.ebuild
@@ -469,7 +469,7 @@ pkg_setup() {
 
 src_prepare() {
        default
-       sed -i -e "s/\\(\\.Revision=\\).*/\\1${GIT_COMMIT}/" .promu.yml || die
+       sed -i -e 's|{{\.Revision}}|'${GIT_COMMIT}'|g' .promu.yml || die
 }
 
 src_compile() {

Reply via email to